
_main:

;MyProject.c,13 :: 		void main()
;MyProject.c,18 :: 		TRISD = 0x00;
	CLRF        TRISD+0 
;MyProject.c,19 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
	NOP
;MyProject.c,21 :: 		ADCON0 = 0b10000001;   // Fosc/64, channel AN0, A/D ON
	MOVLW       129
	MOVWF       ADCON0+0 
;MyProject.c,22 :: 		ADCON1 = 0b11000000;   // right justified, Fosc/64, all analogs.
	MOVLW       192
	MOVWF       ADCON1+0 
;MyProject.c,23 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;MyProject.c,25 :: 		SPI1_Init();
	CALL        _SPI1_Init+0, 0
;MyProject.c,26 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;MyProject.c,27 :: 		Delay_us(10);
	MOVLW       6
	MOVWF       R13, 0
L_main1:
	DECFSZ      R13, 1, 1
	BRA         L_main1
	NOP
;MyProject.c,29 :: 		error = MMC_Init();
	CALL        _Mmc_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _error+0 
;MyProject.c,30 :: 		while(error == 1)
L_main2:
	MOVF        _error+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main3
;MyProject.c,32 :: 		error = MMC_Init();
	CALL        _Mmc_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _error+0 
;MyProject.c,33 :: 		}
	GOTO        L_main2
L_main3:
;MyProject.c,35 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
	NOP
;MyProject.c,37 :: 		MMC_Fat_Init();
	CALL        _Mmc_Fat_Init+0, 0
;MyProject.c,38 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV4, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	CLRF        FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;MyProject.c,40 :: 		Mmc_Fat_Delete();
	CALL        _Mmc_Fat_Delete+0, 0
;MyProject.c,41 :: 		Mmc_Fat_Assign(&filename,0xA0);
	MOVLW       _filename+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(_filename+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       160
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
;MyProject.c,44 :: 		while(1)
L_main5:
;MyProject.c,46 :: 		adc_value = ADC_Read(0);      //Read Temperature from ADC
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_value+0 
	MOVF        R1, 0 
	MOVWF       _adc_value+1 
;MyProject.c,47 :: 		adc_value = adc_value*488;
	MOVLW       232
	MOVWF       R4 
	MOVLW       1
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_value+0 
	MOVF        R1, 0 
	MOVWF       _adc_value+1 
;MyProject.c,48 :: 		adc_value = adc_value/10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_value+0 
	MOVF        R1, 0 
	MOVWF       _adc_value+1 
;MyProject.c,50 :: 		temp = adc_value/100;
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       main_temp_L0+0 
	MOVF        R1, 0 
	MOVWF       main_temp_L0+1 
;MyProject.c,52 :: 		Temperature_Log[0] = 'T';
	MOVLW       84
	MOVWF       _Temperature_Log+0 
;MyProject.c,53 :: 		Temperature_Log[1] = 'E';
	MOVLW       69
	MOVWF       _Temperature_Log+1 
;MyProject.c,54 :: 		Temperature_Log[2] = 'M';
	MOVLW       77
	MOVWF       _Temperature_Log+2 
;MyProject.c,55 :: 		Temperature_Log[3] = 'P';
	MOVLW       80
	MOVWF       _Temperature_Log+3 
;MyProject.c,56 :: 		Temperature_Log[4] = '=';
	MOVLW       61
	MOVWF       _Temperature_Log+4 
;MyProject.c,58 :: 		ones = temp%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       main_ones_L0+0 
;MyProject.c,59 :: 		temp = temp/10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        main_temp_L0+0, 0 
	MOVWF       R0 
	MOVF        main_temp_L0+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       main_temp_L0+0 
	MOVF        R1, 0 
	MOVWF       main_temp_L0+1 
;MyProject.c,60 :: 		tens = temp%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       main_tens_L0+0 
;MyProject.c,61 :: 		temp = temp/10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        main_temp_L0+0, 0 
	MOVWF       R0 
	MOVF        main_temp_L0+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       main_temp_L0+0 
	MOVF        R1, 0 
	MOVWF       main_temp_L0+1 
;MyProject.c,62 :: 		hundreds = temp%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
;MyProject.c,64 :: 		ones = ones|0x30;
	MOVLW       48
	IORWF       main_ones_L0+0, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	MOVWF       main_ones_L0+0 
;MyProject.c,65 :: 		tens = tens|0x30;
	MOVLW       48
	IORWF       main_tens_L0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       main_tens_L0+0 
;MyProject.c,66 :: 		hundreds = hundreds|0x30;
	MOVLW       48
	IORWF       R0, 0 
	MOVWF       _Temperature_Log+5 
;MyProject.c,68 :: 		Temperature_Log[5] = hundreds;
;MyProject.c,69 :: 		Temperature_Log[6] = tens;
	MOVF        R2, 0 
	MOVWF       _Temperature_Log+6 
;MyProject.c,70 :: 		Temperature_Log[7] = ones;
	MOVF        R3, 0 
	MOVWF       _Temperature_Log+7 
;MyProject.c,71 :: 		Temperature_Log[8] = '.';
	MOVLW       46
	MOVWF       _Temperature_Log+8 
;MyProject.c,73 :: 		ones = adc_value%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _adc_value+0, 0 
	MOVWF       R0 
	MOVF        _adc_value+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       main_ones_L0+0 
;MyProject.c,74 :: 		adc_value = adc_value/10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _adc_value+0, 0 
	MOVWF       R0 
	MOVF        _adc_value+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_value+0 
	MOVF        R1, 0 
	MOVWF       _adc_value+1 
;MyProject.c,75 :: 		tens = adc_value%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       main_tens_L0+0 
;MyProject.c,76 :: 		ones = ones|0x30;
	MOVLW       48
	IORWF       main_ones_L0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       main_ones_L0+0 
;MyProject.c,77 :: 		tens = tens|0x30;
	MOVLW       48
	IORWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       main_tens_L0+0 
;MyProject.c,79 :: 		Temperature_Log[9] = tens;
	MOVF        R0, 0 
	MOVWF       _Temperature_Log+9 
;MyProject.c,80 :: 		Temperature_Log[10] = ones;
	MOVF        R2, 0 
	MOVWF       _Temperature_Log+10 
;MyProject.c,81 :: 		Temperature_Log[11] = ' ';
	MOVLW       32
	MOVWF       _Temperature_Log+11 
;MyProject.c,82 :: 		Temperature_Log[12] = 'C';
	MOVLW       67
	MOVWF       _Temperature_Log+12 
;MyProject.c,83 :: 		Temperature_Log[13] = '\r';
	MOVLW       13
	MOVWF       _Temperature_Log+13 
;MyProject.c,84 :: 		Temperature_Log[14] = '\n';
	MOVLW       10
	MOVWF       _Temperature_Log+14 
;MyProject.c,86 :: 		Mmc_Fat_Append();
	CALL        _Mmc_Fat_Append+0, 0
;MyProject.c,87 :: 		Mmc_Fat_Write(Temperature_Log,15);
	MOVLW       _Temperature_Log+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_Temperature_Log+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       15
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;MyProject.c,88 :: 		Delay_ms(300);
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       12
	MOVWF       R12, 0
	MOVLW       51
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
	NOP
;MyProject.c,89 :: 		}
	GOTO        L_main5
;MyProject.c,90 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
